Name:           compiz-fusion-plugins-main
Version:        0.5.2
Release:        0.2%{?dist}
Summary:        Collection of Compiz Fusion plugins for Compiz - Main

Group:          User Interface/Desktops
License:        GPL
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64
BuildRequires:  compiz-devel = %{version} , compiz-bcop = %{version}
BuildRequires:  libjpeg-devel, pango-devel, cairo-devel
BuildRequires:  perl(XML::Parser), intltool, gettext
Requires:       compiz = %{version}

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package of plugins provides everything you need to actually use
compiz as your window manager.

Many of the plugins in this package were contributed by the community.


%package devel
Group:          Development/Libraries
Summary:        Development files for Compiz-Fusion
Requires:       compiz-devel = %{version} , %{name} = %{version}
Requires:       pkgconfig

%description devel
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package of plugins provides everything you need to actually use
compiz as your window manager.

This package contain development files required for developing other plugins.

%prep
%setup -q 


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.a" -o -name "*.la" | xargs rm -f

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README VERSION
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml


%files devel
%defattr(-,root,root,-)
%{_includedir}/compiz/text.h
%{_libdir}/pkgconfig/compiz-text.pc

%changelog
* Sun Sep 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- 0.5.2 release

* Sun Jul 03 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.4.20070703git
- 20070703git
- added BuildReq perl(XML::parser), intltool and gettext

* Sun Jun 30 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.3.20070630git
- 20070630git

* Sun Jun 27 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.2.20070627git
- 20070627git

* Sun Jun 25 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.1.20070625git
- Fixed release numbering to follow Fedora guideline

* Sun Jun 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-20070622git
- Initial specfile, borrowing descriptions from Trevino ubuntu debs
